<?php

namespace Wechat\ServiceProvider;

use Illuminate\Support\ServiceProvider;

class WechatServiceProvider extends ServiceProvider
{

    public function setupConfig()
    {
        $source = realpath(__DIR__ . '/../../config/wx.php');

        if ($this->app instanceof LaravelApplication && $this->app->runningInConsole()) {
            $this->publishes([$source => config_path('wx.php')], 'wx');
        } elseif ($this->app instanceof LumenApplication) {
            $this->app->configure('wx');
        }

        $this->mergeConfigFrom($source, 'rpc');
    }

    public function register()
    {
        $config = config['wx'];

        if (isset($config['work'])) {

            foreach ($config['work']['secrets'] as $key => $item) {
                $this->app->singleton('wx.work.' . $key, function () {
                    return new ucwords($key);
                });
            }

        }


    }
}